CS::Debug::iDynamicSystemDebugger Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Debug::iDynamicSystemDebugger Struct Reference

A class to help visualization and debugging of physical simulations made through the iDynamicSystem plugin. More...

`#include <ivaria/dynamicsdebug.h>`

Inheritance diagram for CS::Debug::iDynamicSystemDebugger:

List of all members.

## Public Member Functions
virtual void | SetBodyStateMaterial (CS::Physics::Bullet::BodyState state, iMaterialWrapper *material)=0
| Set the material to be used for the colliders of the rigid bodies that are in the given state.
virtual void | SetDebugDisplayMode (bool debugMode)=0
| Set whether the debug mode is active or not.
virtual void | SetDebugSector (iSector *sector)=0
| Set the iSector where reside the meshes animated by the dynamic simulation.
virtual void | SetDynamicBodyMaterial (iMaterialWrapper *material)=0
| Set the material to be used for the colliders of the rigid bodies that are in 'dynamic' state.
virtual void | SetDynamicSystem (iDynamicSystem *system)=0
| Set the dynamic system that has to be debugged.
virtual void | SetStaticBodyMaterial (iMaterialWrapper *material)=0
| Set the material to be used for the colliders of the rigid bodies that are in 'static' state.
virtual void | UpdateDisplay ()=0
| Update the list of colliders that are displayed.

## Detailed Description

A class to help visualization and debugging of physical simulations made through the iDynamicSystem plugin.

Definition at line 57 of file dynamicsdebug.h.

## Member Function Documentation

virtual void CS::Debug::iDynamicSystemDebugger::SetBodyStateMaterial | ( | CS::Physics::Bullet::BodyState | state,
|  | iMaterialWrapper * | material
| ) |  | `[pure virtual]`

Set the material to be used for the colliders of the rigid bodies that are in the given state.

If 0 is passed then the rigid bodies in the given state won't be displayed. If this method is not used, then a default blue colored material will be used.

virtual void CS::Debug::iDynamicSystemDebugger::SetDebugDisplayMode | ( | bool | debugMode | ) | `[pure virtual]`

Set whether the debug mode is active or not.

If active, then all the meshes attached to a iRigidBody will be replaced by a new mesh with the size and transform of the bodies' colliders. It allows to see what is really happening at the physical simulation level.

Parameters:

  debugMode | True to activate the debug mode, false to set back the initial meshes.

virtual void CS::Debug::iDynamicSystemDebugger::SetDebugSector | ( | iSector * | sector | ) | `[pure virtual]`

Set the iSector where reside the meshes animated by the dynamic simulation.

virtual void CS::Debug::iDynamicSystemDebugger::SetDynamicBodyMaterial | ( | iMaterialWrapper * | material | ) | `[pure virtual]`

Set the material to be used for the colliders of the rigid bodies that are in 'dynamic' state.

If 0 is passed then the rigid bodies in 'dynamic' state won't be displayed. If this method is not used, then a default green colored material will be used.

virtual void CS::Debug::iDynamicSystemDebugger::SetDynamicSystem | ( | iDynamicSystem * | system | ) | `[pure virtual]`

Set the dynamic system that has to be debugged.

virtual void CS::Debug::iDynamicSystemDebugger::SetStaticBodyMaterial | ( | iMaterialWrapper * | material | ) | `[pure virtual]`

Set the material to be used for the colliders of the rigid bodies that are in 'static' state.

If 0 is passed then the rigid bodies in 'static' state won't be displayed. If this method is not used, then a default red colored material will be used.

virtual void CS::Debug::iDynamicSystemDebugger::UpdateDisplay | ( |  | ) | `[pure virtual]`

Update the list of colliders that are displayed.

Call this when you have added or removed some dynamic bodies to/from the dynamic system.

The documentation for this struct was generated from the following file:

- ivaria/dynamicsdebug.h